ApiManagementAuthz
POST
/v1/mgmt/authz/re/targetwithrelation

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

target*string
Length1 <= length <= 1000
relationDefinition*string
Length1 <= length <= 100
namespace*string
Length1 <= length <= 100
ParentTarget?string
Lengthlength <= 100
ParentRelationDefinition?string
Lengthlength <= 100
context?object

Optional flat key-value context for evaluating ABAC conditions and facts. Resources reachable only through a condition-gated relation are returned only when this context satisfies it (same as Check).

Load the resources that the target has the given relation to including all derived relations

curl -X POST "https://api.descope.com/v1/mgmt/authz/re/targetwithrelation" \  -H "Content-Type: application/json" \  -d '{    "target": "string",    "relationDefinition": "string",    "namespace": "string"  }'
{  "resources": [    "string"  ]}
export interface Response {resources?: string[]}
Was this helpful?